Bug 789702 - Provide native systemd service
Provide native systemd service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipmiutil (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andy Cress
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 751869
  Show dependency treegraph
 
Reported: 2012-02-12 07:26 EST by Jóhann B. Guðmundsson
Modified: 2012-04-16 13:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: ipmiutil-2.8.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 13:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated ipmiutil.spec file to use systemd scripts (11.89 KB, text/plain)
2012-02-14 12:24 EST, Andy Cress
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2012-02-12 07:26:49 EST
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2012-02-12 07:31:07 EST
Note that I have noticed that upstream already has systemd units but for some reason we seemed to be shipping them in the DOC folder and are still using the old legacy sysv init scripts ( which should be dropped )? 

Anyway the upstream unit files can drop the syslog.target from the After= line and should use /run as opposed to /var/run in the PIDFile= path
Comment 2 Andy Cress 2012-02-14 12:22:53 EST
Johann,

Thanks for the input.  The spec file for this project does need to be used for both old and new Linux versions.  
I have changed the spec file to include both systemd and sysv init, but only copy in one set.   It uses the presence of /bin/systemctl to determine if systemd support is present.  Attached is the new ipmiutil.spec file.

I also made the changes to the *.service files to drop syslog.target and to use /run instead of /var/run.  I noticed that /var/run is always there, but /run is only there on newer Linux versions.  Do we know for sure that /run will always be there if systemd is supported?

If this is sufficient, I can submit the changes.  

Andy
Comment 3 Andy Cress 2012-02-14 12:24:15 EST
Created attachment 561978 [details]
updated ipmiutil.spec file to use systemd scripts
Comment 4 Jóhann B. Guðmundsson 2012-02-14 12:55:27 EST
(In reply to comment #2)
> Johann,
> 
> Thanks for the input.  The spec file for this project does need to be used for
> both old and new Linux versions.  
> I have changed the spec file to include both systemd and sysv init, but only
> copy in one set.   It uses the presence of /bin/systemctl to determine if
> systemd support is present.  Attached is the new ipmiutil.spec file.
> 
> I also made the changes to the *.service files to drop syslog.target and to use
> /run instead of /var/run.  I noticed that /var/run is always there, but /run is
> only there on newer Linux versions.  Do we know for sure that /run will always
> be there if systemd is supported?

Yes you can be sure
Comment 5 Fedora Update System 2012-03-21 10:14:50 EDT
ipmiutil-2.8.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ipmiutil-2.8.2-1.el6
Comment 6 Fedora Update System 2012-03-24 15:09:03 EDT
Package ipmiutil-2.8.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ipmiutil-2.8.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0863/ipmiutil-2.8.2-1.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-04-16 13:58:38 EDT
ipmiutil-2.8.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.